Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.spi.uicreator
Interface UICreator

All Superinterfaces:
  Component

All Known Implementing Classes:
  DefaultUICreator

public interface UICreator
extends Component

UI를 생성기의 기능을 정의한다.

UI를 생성하는 컴포넌트는 이 인터페이스를 구현해주어야 한다.

Since:
  2.0
Author:
  최범균

Method Summary
`void` | `createAuthenticationForm(HttpServletRequest request, HttpServletResponse response)` 인증을 필요로 하는 서비스를 요청했을 경우 인증 화면으로 이동한다.
`void` | `createErrorView(Result result, HttpServletRequest request, HttpServletResponse response)` Result.isErrorOccured()가 true를 리턴한 경우 보여줄 에러 페이지를 나타낸다.
`void` | `createErrorView(java.lang.Throwable e, HttpServletRequest request, HttpServletResponse response)` 예상하지 않은 예외가 발생한 경우 에러 페이지를 보여준다.
`void` | `createNoAuthorizationView(RequestInfo ri, HttpServletRequest request, HttpServletResponse response)` 권한이 없는 경우 메시지를 보여준다.
`void` | `createView(Result result, HttpServletRequest request, HttpServletResponse response)` 결과에 알맞은 화면을 생성한다.

Methods inherited from interface tle.framework.component.Component
`close, getID, init, isClosed, isClosing, isCreated, isErrorOccured, isInited, isIniting, isResuming, isRunning, isStarting, isStopped, isStopping, isSuspended, isSuspending, resume, start, stop, suspend`

Method Detail

### createView

    public void createView(Result result,
                           HttpServletRequest request,
                           HttpServletResponse response)
                    throws ComponentException

  결과에 알맞은 화면을 생성한다.

  Parameters:
    `result` - 결과
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `ComponentException` - 화면 생성 과정에서 문제가 있는 경우에 발생한다.

### createAuthenticationForm

    public void createAuthenticationForm(HttpServletRequest request,
                                         HttpServletResponse response)
                                  throws ComponentException

  인증을 필요로 하는 서비스를 요청했을 경우 인증 화면으로 이동한다.

  Parameters:
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `ComponentException` - 화면 생성 과정에서 문제가 있는 경우에 발생한다.

### createNoAuthorizationView

    public void createNoAuthorizationView(RequestInfo ri,
                                          HttpServletRequest request,
                                          HttpServletResponse response)
                                   throws ComponentException

  권한이 없는 경우 메시지를 보여준다.

  Parameters:
    `ri` - 요청 분석 정보
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `ComponentException` - 화면 생성 과정에서 문제가 있는 경우에 발생한다.

### createErrorView

    public void createErrorView(Result result,
                                HttpServletRequest request,
                                HttpServletResponse response)
                         throws ComponentException

  Result.isErrorOccured()가 true를 리턴한 경우 보여줄 에러 페이지를 나타낸다.

  Parameters:
    `result` - 결과
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `ComponentException` - 화면 생성 과정에서 문제가 있는 경우에 발생한다.

### createErrorView

    public void createErrorView(java.lang.Throwable e,
                                HttpServletRequest request,
                                HttpServletResponse response)
                         throws ComponentException

  예상하지 않은 예외가 발생한 경우 에러 페이지를 보여준다.

  Parameters:
    `e` - 예외
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `ComponentException` - 화면 생성 과정에서 문제가 있는 경우에 발생한다.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD